Loading...
Searching...
No Matches
ExternFuncArgument.h File Reference

Defines the internal representation of a halide ExternFuncArgument. More...

`#include "Buffer.h"`
`#include "Expr.h"`
`#include "FunctionPtr.h"`
`#include "Parameter.h"`

Go to the source code of this file.

## Classes

struct | Halide::ExternFuncArgument
| An argument to an extern-defined Func. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Detailed Description

Defines the internal representation of a halide ExternFuncArgument.

Definition in file ExternFuncArgument.h.